

;;; Info
;; setup up info directories to conform to debian standards.

(setq Info-directory-list
      '("/usr/info/" "/usr/share/info" "/usr/local/info"
        "/usr/share/xemacs21/packages/info"
        "/usr/share/xemacs21/mule-packages/info"
        "/usr/share/xemacs21/site-packages/info"))

(setq Info-additional-search-directory-list
      '("/usr/share/info/xemacs-21.1.10"))

;;(autoload 'psgml-mode "psgml-mode" "")
;;
;;(defun debian-add-sgml-catalog-files
;;  "Add debian specific catalog files to sgml-catalog-files"
;;  (setq sgml-catalog-file
;;        (append sgml-catalog-files
;;                "/usr/lib/sgml/catalog")))
;;
;;(add-hook 'psgml-mode-hook 'debian-add-sgml-catalog-files)
;;(setq sgml-local-catalogs "/usr/lib/sgml/catalog")
;; quick solution.
(setq-default sgml-local-catalogs '("/usr/lib/sgml/catalog"))

(setq news-path "/var/spool/news")

(custom-set-variables ;;'(nnmail-spool-file "/var/spool/mail/$user")
                      '(gnuserv-program 
                          (concat exec-directory "/gnuserv")))

(when (functionp 'make-coding-system)
    (make-coding-system 'us-ascii nil))

(setq Manual-snip-subchapter nil)

(if (file-executable-p "/bin/chown")
    (setq dired-chown-program "/bin/chown")
  (setq dired-chown-program "/usr/bin/chown"))

(global-set-key [iso-left-tab] [(shift tab)])
(global-set-key [(control iso-left-tab)] [(control shift tab)])

(defun dir-and-all-good-subs (this-directory)
  "Returns list of argument and all subdirectories of argument not
starting with a '.'"
  (if (file-exists-p this-directory)
      (append (list (expand-file-name this-directory))
              (mapcar '(lambda (dir-string)
                         (concat dir-string "/")) 
                      (directory-files 
                       (expand-file-name this-directory) 
                       t "^[^\\.]" nil 1)))
    nil))

;; make delete work correctly on console
(setq delete-key-deletes-forward t)

(setq load-path
      (let* ((point
              (string-match "[0-9]*\.[0-9]*.*XEmacs.*"
                            emacs-version))
             (xemacs-maj-version
              (substring emacs-version point (+ point 2)))
             (xemacs-version
              (substring emacs-version point (+ point 5))))
        (append
         '("/etc/emacs")
         '("/etc/xemacs21")
         `(,@(dir-and-all-good-subs "/usr/local/lib/xemacs/site-lisp")
             ,@(dir-and-all-good-subs
                (concat "/usr/share/xemacs/site-lisp-" xemacs-maj-version "/"))
             ,@(dir-and-all-good-subs "/usr/share/xemacs/site-lisp/")
             ,@(dir-and-all-good-subs
                (concat "/usr/share/xemacs" xemacs-maj-version "/site-lisp/"))
             )
         load-path
         ;;,@(dir-and-all-good-subs "/usr/share/emacs/site-lisp/")
         ;;,@(dir-and-all-good-subs
         ;; (concat "/usr/share/xemacs-" xemacs-version "/lisp/"))
         '("/usr/share/emacs/site-lisp"))))

;; should now load from one of the /etc dirs since they are first in
;; the path now.
(load "site-start")

;;; end 00debian.el

;; Local Variables:
;; mode: emacs-lisp
;; End:
